AUDIT_LOG_SECCTX(9)

NAME
audit_log_secctx - Converts and logs SELinux context

SYNOPSIS

void audit_log_secctx(struct audit_buffer * ab, u32 secid);

ARGUMENTS

ab
    audit_buffer

secid
    security number

DESCRIPTION

This is a helper function that calls security_secid_to_secctx to convert secid to secctx and then adds the (converted) SELinux context to the audit log by calling audit_log_format, thus also preventing leak of internal secid to userspace. If secid cannot be converted audit_panic is called.

COPYRIGHT